ViolLua.Enum = { }

function ViolLua.Enum:Launch( Name )
    local Data = ViolLua:LoadFile( 'lua/ViolLua/libraries/enums/' .. Name .. '.lua' )

    if ( not Data ) then 
        return 
    end

    ViolLua:Print( false, 'Enumeration loaded "%s"...', Name )

    -- This is actually the custom environment.
    table.Merge( _G, Data )
end

ViolLua.Enum:Launch( 'framestage' )
ViolLua.Enum:Launch( 'ttt' )
ViolLua.Enum:Launch( 'createstage' )